#!/usr/bin/env bash
#MISE description="Launch the instance and push the forgejo repo token to it so it can check in."

INCUS_PROFILE="forgejo-runner"

INSTANCE_NAME=$(incus launch nixos-gen/custom/fj-lxc-vm-x86_64 -p ${INCUS_PROFILE:-'default'} | grep -oP 'Instance name is: \K\S+')
echo "The captured instance name is: $INSTANCE_NAME"

# Call the push_token.sh script with the new instance name
"$MISE_TASK_DIR"/push_token.sh "$INSTANCE_NAME"
echo "Pushing token to instance"

echo "Process completed successfully"
