{ ... }:
{
  imports = [
    ./host-qemu.nix
  ];

  config = {
    boot = {
      initrd.availableKernelModules = [ "ahci" "virtio_pci" "virtio_scsi" "sr_mod" "virtio_blk" ];
      initrd.kernelModules = [ "virtio_gpu" ];
      extraModulePackages = [ ];
      loader.systemd-boot.enable = true;
      # since it's a vm, we can do this on every update safely
      loader.efi.canTouchEfiVariables = true;
    };
  };
}
